Package com.sun.messaging.jms.management.server

## Class BrokerNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - com.sun.messaging.jms.management.server.MQNotification
      - - com.sun.messaging.jms.management.server.BrokerNotification

- All Implemented Interfaces:
    `java.io.Serializable`

      public class BrokerNotification
      extends MQNotification

  Class containing information on broker related notifications. This notification is broadcasted from the relevant MBeans in a broker that is either:
  - in the process of quiescing
  - in the process of shutting down
  - in the process of taking over another broker's persistence store
  With regards to the takeover related notifications, this notification is broadcasted by the broker that is performing the takeover operation, not the broker that is being taken over.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `BROKER_QUIESCE_COMPLETE` | A broker has finished quiescing.
    `static java.lang.String` | `BROKER_QUIESCE_START` | A broker has started to quiesce.
    `static java.lang.String` | `BROKER_RESOURCE_STATE_CHANGE` | A broker's memory level/state has changed
    `static java.lang.String` | `BROKER_SHUTDOWN_START` | A broker has started the process of shutting down.
    `static java.lang.String` | `BROKER_TAKEOVER_COMPLETE` | A broker has completed the takeover of another broker.
    `static java.lang.String` | `BROKER_TAKEOVER_FAIL` | A broker has failed in the attempt to takeover another broker.
    `static java.lang.String` | `BROKER_TAKEOVER_START` | A broker has started to takeover another broker.

    - ### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

      `PREFIX`

    - ### Fields inherited from class javax.management.Notification

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BrokerNotification​(java.lang.String type, java.lang.Object source, long sequenceNumber)` | Creates a BrokerNotification object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBrokerAddress()` | Returns the broker address.
    `java.lang.String` | `getBrokerID()` | Returns the broker ID.
    `java.lang.String` | `getFailedBrokerID()` | Returns the ID of the broker in the cluster that failed and is in the process of being taken over.
    `java.lang.management.MemoryUsage` | `getHeapMemoryUsage()` |
    `java.lang.String` | `getNewResourceState()` |
    `java.lang.String` | `getOldResourceState()` |
    `void` | `setBrokerAddress​(java.lang.String brokerAddress)` | Sets the broker address.
    `void` | `setBrokerID​(java.lang.String brokerID)` | Sets the broker ID.
    `void` | `setFailedBrokerID​(java.lang.String failedBrokerID)` | Sets the ID of the broker in the cluster that failed and is in the process of being taken over.
    `void` | `setHeapMemoryUsage​(java.lang.management.MemoryUsage heapMemoryUsage)` |
    `void` | `setNewResourceState​(java.lang.String newResourceState)` |
    `void` | `setOldResourceState​(java.lang.String oldResourceState)` |

    - ### Methods inherited from class javax.management.Notification

      `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BROKER_RESOURCE_STATE_CHANGE

          public static final java.lang.String BROKER_RESOURCE_STATE_CHANGE

      A broker's memory level/state has changed
      See Also:
        Constant Field Values

    - #### BROKER_QUIESCE_COMPLETE

          public static final java.lang.String BROKER_QUIESCE_COMPLETE

      A broker has finished quiescing.
      See Also:
        Constant Field Values

    - #### BROKER_QUIESCE_START

          public static final java.lang.String BROKER_QUIESCE_START

      A broker has started to quiesce.
      See Also:
        Constant Field Values

    - #### BROKER_SHUTDOWN_START

          public static final java.lang.String BROKER_SHUTDOWN_START

      A broker has started the process of shutting down.
      See Also:
        Constant Field Values

    - #### BROKER_TAKEOVER_COMPLETE

          public static final java.lang.String BROKER_TAKEOVER_COMPLETE

      A broker has completed the takeover of another broker.
      See Also:
        Constant Field Values

    - #### BROKER_TAKEOVER_FAIL

          public static final java.lang.String BROKER_TAKEOVER_FAIL

      A broker has failed in the attempt to takeover another broker.
      See Also:
        Constant Field Values

    - #### BROKER_TAKEOVER_START

          public static final java.lang.String BROKER_TAKEOVER_START

      A broker has started to takeover another broker.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BrokerNotification

          public BrokerNotification​(java.lang.String type,
                                    java.lang.Object source,
                                    long sequenceNumber)

      Creates a BrokerNotification object.
      Parameters:
        `type` - The notification type.
        `source` - The notification source.
        `sequenceNumber` - The notification sequence number within the source object.

  - ### Method Detail

    - #### setBrokerID

          public void setBrokerID​(java.lang.String brokerID)

      Sets the broker ID. Depending on the type of notification, this can be the ID of the broker that is quiescing, shutting down, or the ID of the broker that is taking over another broker's persistence store.
      Parameters:
        `brokerID` - The broker ID.

    - #### getBrokerID

          public java.lang.String getBrokerID()

      Returns the broker ID. Depending on the type of notification, this can be the ID of the broker that is quiescing, shutting down, or the ID of the broker that is taking over another broker's persistence store.
      Returns:
        The broker ID.

    - #### setBrokerAddress

          public void setBrokerAddress​(java.lang.String brokerAddress)

      Sets the broker address. Depending on the type of notification, this can be the address of the broker that is quiescing, shutting down, or the address of the broker that is taking over another broker's persistence store.
      Parameters:
        `brokerAddress` - The broker address.

    - #### getBrokerAddress

          public java.lang.String getBrokerAddress()

      Returns the broker address. Depending on the type of notification, this can be the address of the broker that is quiescing, shutting down, or the address of the broker that is taking over another broker's persistence store.
      Returns:
        The broker address.

    - #### setFailedBrokerID

          public void setFailedBrokerID​(java.lang.String failedBrokerID)

      Sets the ID of the broker in the cluster that failed and is in the process of being taken over.
      Parameters:
        `failedBrokerID` - Sets the ID of the broker in the cluster that failed and is in the process of being taken over.

    - #### getFailedBrokerID

          public java.lang.String getFailedBrokerID()

      Returns the ID of the broker in the cluster that failed and is in the process of being taken over.
      Returns:
        Sets the ID of the broker in the cluster that failed and is in the process of being taken over.

    - #### setOldResourceState

          public void setOldResourceState​(java.lang.String oldResourceState)

    - #### getOldResourceState

          public java.lang.String getOldResourceState()

    - #### setNewResourceState

          public void setNewResourceState​(java.lang.String newResourceState)

    - #### getNewResourceState

          public java.lang.String getNewResourceState()

    - #### setHeapMemoryUsage

          public void setHeapMemoryUsage​(java.lang.management.MemoryUsage heapMemoryUsage)

    - #### getHeapMemoryUsage

          public java.lang.management.MemoryUsage getHeapMemoryUsage()